// ***DO NOT EDIT THIS FILE - IT IS AUTOMATICALLY GENERATED BY CMAKE***

#include <osgEarthDrivers/engine_rex/Shaders>

using namespace osgEarth::REX;

Shaders::Shaders()
{
    ENGINE_VERT = "RexEngine.vert.glsl";
    _sources[ENGINE_VERT] = "#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_name       REX Engine - Init Model Space%EOL%#pragma vp_entryPoint oe_rex_init_model%EOL%#pragma vp_location   vertex_model%EOL%#pragma vp_order      first%EOL%%EOL%// uniforms%EOL%uniform vec4 oe_terrain_color;%EOL%%EOL%// outputs%EOL%out vec4 vp_Color;%EOL%out vec4 oe_layer_tilec;%EOL%out vec4 oe_terrain_tessLevel;%EOL%%EOL%out float oe_rex_morphFactor;%EOL%flat out int oe_terrain_vertexMarker;%EOL%%EOL%void oe_rex_init_model(inout vec4 vertexModel)%EOL%{%EOL%    // Texture coordinate for the tile (always 0..1)%EOL%    oe_layer_tilec = gl_MultiTexCoord0;%EOL%%EOL%    // Color of the underlying map geometry (untextured)%EOL%    vp_Color = oe_terrain_color;%EOL%%EOL%    // initialize:%EOL%    oe_rex_morphFactor = 0.0;%EOL%%EOL%    // Extract the vertex type marker%EOL%    oe_terrain_vertexMarker = int(oe_layer_tilec.z);%EOL%%EOL%    // Default tessellation level (where applicable)%EOL%    oe_terrain_tessLevel = vec4(1);%EOL%}%EOL%%EOL%%EOL%[break]%EOL%#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_name       REX Engine - Init View Space%EOL%#pragma vp_entryPoint oe_rex_init_view%EOL%#pragma vp_location   vertex_view%EOL%#pragma vp_order      first%EOL%%EOL%// outputs%EOL%vec3 vp_Normal;%EOL%out vec3 oe_UpVectorView;%EOL%%EOL%void oe_rex_init_view(inout vec4 vertexView)%EOL%{%EOL%    // %QUOTE%up%QUOTE% vector at this vertex in view space, which we will later%EOL%    // need in order to elevate the terrain. vp_Normal can change later%EOL%    // but UpVectorView will stay the same.%EOL%    oe_UpVectorView = vp_Normal;%EOL%}%EOL%%EOL%";

	ENGINE_ELEVATION = "RexEngine.elevation.glsl";
    _sources[ENGINE_ELEVATION] = "#version $GLSL_VERSION_STR%EOL%%EOL%#pragma vp_name       REX Engine - Elevation%EOL%#pragma vp_entryPoint oe_rex_applyElevation%EOL%#pragma vp_location   vertex_view%EOL%#pragma vp_order      0%EOL%%EOL%#pragma import_defines(OE_TERRAIN_RENDER_ELEVATION)%EOL%%EOL%// Vertex Markers:%EOL%#define VERTEX_VISIBLE  1%EOL%#define VERTEX_BOUNDARY 2%EOL%#define VERTEX_HAS_ELEVATION 4%EOL%#define VERTEX_SKIRT 8%EOL%#define VERTEX_CONSTRAINT 16%EOL%%EOL%// stage%EOL%out vec4 oe_layer_tilec;%EOL%out vec3 oe_UpVectorView;%EOL%flat out int oe_terrain_vertexMarker;%EOL%%EOL%uniform float oe_terrain_altitude;%EOL%%EOL%// SDK functions:%EOL%float oe_terrain_getElevation(in vec2 uv);%EOL%%EOL%void oe_rex_applyElevation(inout vec4 vertex)%EOL%{%EOL%#ifdef OE_TERRAIN_RENDER_ELEVATION%EOL%%EOL%    bool elevate =%EOL%        ((oe_terrain_vertexMarker & VERTEX_VISIBLE) != 0) &&%EOL%        ((oe_terrain_vertexMarker & VERTEX_HAS_ELEVATION) == 0);%EOL%%EOL%    float elev = elevate ? oe_terrain_getElevation(oe_layer_tilec.st) : 0.0;%EOL%%EOL%    vertex.xyz += oe_UpVectorView * elev;%EOL%#endif%EOL%%EOL%    vertex.xyz += oe_UpVectorView * oe_terrain_altitude;%EOL%}%EOL%%EOL%";

    ENGINE_MORPHING = "RexEngine.Morphing.glsl";
    _sources[ENGINE_MORPHING] = "#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_name       REX Engine - Morphing%EOL%#pragma vp_entryPoint oe_rex_morph%EOL%#pragma vp_location   vertex_model%EOL%#pragma vp_order      0.5%EOL%%EOL%#pragma import_defines(OE_TERRAIN_MORPH_GEOMETRY)%EOL%#pragma import_defines(OE_TERRAIN_RENDER_ELEVATION)%EOL%#pragma import_defines(OE_IS_DEPTH_CAMERA)%EOL%#pragma import_defines(OE_ELEVATION_CONSTRAINT_TEX)%EOL%#pragma import_defines(OE_ELEVATION_CONSTRAINT_TEX_MATRIX)%EOL%%EOL%// stage%EOL%vec3 vp_Normal;%EOL%%EOL%vec4 oe_layer_tilec;%EOL%%EOL%out float oe_rex_morphFactor;%EOL%%EOL%flat out int oe_terrain_vertexMarker;%EOL%%EOL%uniform vec2  oe_tile_morph;%EOL%uniform float oe_tile_size;%EOL%%EOL%// Constraint stuff%EOL%#ifdef OE_ELEVATION_CONSTRAINT_TEX%EOL%uniform sampler2DArray OE_ELEVATION_CONSTRAINT_TEX;%EOL%uniform mat4 OE_ELEVATION_CONSTRAINT_TEX_MATRIX;%EOL%#endif %EOL%uniform vec2 oe_tile_elevTexelCoeff;%EOL%%EOL%#ifdef OE_IS_DEPTH_CAMERA%EOL%uniform mat4 oe_shadowToPrimaryMatrix;%EOL%#endif%EOL%%EOL%// SDK functions:%EOL%float oe_terrain_getElevation(in vec2 uv);%EOL%%EOL%// Vertex Markers:%EOL%#define VERTEX_VISIBLE  1%EOL%#define VERTEX_BOUNDARY 2%EOL%#define VERTEX_HAS_ELEVATION 4%EOL%#define VERTEX_SKIRT 8%EOL%#define VERTEX_CONSTRAINT 16%EOL%%EOL%#ifdef OE_ELEVATION_CONSTRAINT_TEX%EOL%void moveToConstraint(in vec4 vertex, in vec4 layer_tilec, out vec4 newVertex, out vec4 new_layer_tilec)%EOL%{%EOL%    // Don't constrain edges%EOL%    if (any(equal(layer_tilec.st, vec2(0)))%EOL%        || any(equal(layer_tilec.st, vec2(1)))%EOL%        || OE_ELEVATION_CONSTRAINT_TEX_MATRIX[0][0] < .5)%EOL%    {%EOL%        newVertex = vertex;%EOL%        new_layer_tilec = layer_tilec;%EOL%        return;%EOL%    }%EOL%    vec2 elevc = layer_tilec.xy%EOL%        * oe_tile_elevTexelCoeff.x * OE_ELEVATION_CONSTRAINT_TEX_MATRIX[0][0] // scale%EOL%        + oe_tile_elevTexelCoeff.x * OE_ELEVATION_CONSTRAINT_TEX_MATRIX[3].st // bias%EOL%        + oe_tile_elevTexelCoeff.y;%EOL%    float tcMixer = 1.0;%EOL%    vec4 dir = texture(OE_ELEVATION_CONSTRAINT_TEX, vec3(elevc, 0.0));%EOL%    if (OE_ELEVATION_CONSTRAINT_TEX_MATRIX[0][0] == 1.0)%EOL%    {%EOL%        vec4 dirInParent = texture(OE_ELEVATION_CONSTRAINT_TEX, vec3(elevc, 1.0));%EOL%        dir = mix(dir, dirInParent, oe_rex_morphFactor);%EOL%        tcMixer = mix(1.0, 2.0, oe_rex_morphFactor);%EOL%    }%EOL%    else%EOL%    {%EOL%        tcMixer = 1.0/OE_ELEVATION_CONSTRAINT_TEX_MATRIX[0][0];%EOL%    }%EOL%    newVertex = vertex;%EOL%    newVertex.xy += dir.xy;%EOL%    new_layer_tilec = layer_tilec;%EOL%    new_layer_tilec.xy += dir.zw * tcMixer;%EOL%}%EOL%#else%EOL%void moveToConstraint(in vec4 vertex, in vec4 layer_tilec, out vec4 newVertex, out vec4 new_layer_tilec)%EOL%{%EOL%    newVertex = vertex;%EOL%    new_layer_tilec = layer_tilec;%EOL%}%EOL%#endif%EOL%%EOL%// Compute a morphing factor based on model-space inputs:%EOL%float oe_rex_ComputeMorphFactor(in vec4 position, in vec3 up)%EOL%{%EOL%    // Find the %QUOTE%would be%QUOTE% position of the vertex (the position the vertex would%EOL%    // assume with no morphing)%EOL%	vec4 wouldBePosition = position;%EOL%%EOL%#ifdef OE_TERRAIN_RENDER_ELEVATION%EOL%        float elev = oe_terrain_getElevation( oe_layer_tilec.st );%EOL%		wouldBePosition.xyz += up*elev;%EOL%#endif%EOL%%EOL%    vec4 wouldBePositionView = gl_ModelViewMatrix * wouldBePosition;%EOL%%EOL%#ifdef OE_IS_DEPTH_CAMERA%EOL%    // For a depth camera, we have to compute the morphed position%EOL%    // from the perspective of the primary camera so they match up:%EOL%    wouldBePositionView = oe_shadowToPrimaryMatrix * wouldBePositionView;%EOL%#endif%EOL%%EOL%    float fDistanceToEye = length(wouldBePositionView.xyz); // or just -z.%EOL%    float fMorphLerpK  = 1.0f - clamp( oe_tile_morph[0] - fDistanceToEye * oe_tile_morph[1], 0.0, 1.0 );%EOL%    return fMorphLerpK;%EOL%}%EOL%%EOL%// In the transition from an LOD to the next lower LOD, morphing moves%EOL%// tile grid points that will disappear towards grid points that exist%EOL%// in the lower LOD. When the transition is complete%EOL%// (oe_rex_morphFactor == 1.0), those points are coincident. If we%EOL%// consider grid points numbered on x,y from 0 to tilesize - 1, then%EOL%// the points that %QUOTE%survive%QUOTE% have even x,y indices and don't move. The%EOL%// neighbor vertex coordinates and normals are passed in as vertex%EOL%// attributes, but the neighbor texture coordinates are calculated%EOL%// here.%EOL%//%EOL%// XXX constraints%EOL%%EOL%void oe_rex_morph(inout vec4 vertexModel)%EOL%{%EOL%    // compute the morphing factor to send down the pipe.%EOL%    // we need this even if vertex-morphing is off since we use it for%EOL%    // other things (like image blending)%EOL%    if ((oe_terrain_vertexMarker & VERTEX_CONSTRAINT) == 0)%EOL%    {%EOL%        oe_rex_morphFactor = oe_rex_ComputeMorphFactor(vertexModel, vp_Normal);%EOL%#ifdef OE_TERRAIN_MORPH_GEOMETRY%EOL%        vec4 neighborVertexModel = vec4(gl_MultiTexCoord1.xyz, 1.0);%EOL%        vec3 neighborNormal = gl_MultiTexCoord2.xyz;%EOL%%EOL%        float halfSize        = (0.5*oe_tile_size)-0.5;%EOL%        float twoOverHalfSize = 2.0/(oe_tile_size-1.0);%EOL%        // Either 0 if point should not be morphed (in (x, y)), or the%EOL%        // delta to the neighbor point.%EOL%        vec2 fractionalPart = fract(oe_layer_tilec.st * halfSize) * twoOverHalfSize;%EOL%        vec4 neighbor_tilec = oe_layer_tilec;%EOL%        neighbor_tilec.st = clamp(oe_layer_tilec.st - fractionalPart, 0.0, 1.0);%EOL%%EOL%        // oe_layer_tilec.st = clamp(oe_layer_tilec.st - (fractionalPart * oe_rex_morphFactor), 0.0, 1.0);%EOL%        vec4 newVertexModel, new_tilec;%EOL%        moveToConstraint(vertexModel, oe_layer_tilec, newVertexModel, new_tilec);%EOL%        vec4 newNeighborVertexModel, new_neighbor_tilec;%EOL%        moveToConstraint(neighborVertexModel, neighbor_tilec, newNeighborVertexModel, new_neighbor_tilec);%EOL%        // morph the vertex:%EOL%        vertexModel.xyz = mix(newVertexModel.xyz, newNeighborVertexModel.xyz, oe_rex_morphFactor);%EOL%        // morph the normal:%EOL%        vp_Normal = normalize(mix(vp_Normal, neighborNormal, oe_rex_morphFactor));%EOL%        oe_layer_tilec.st = mix(new_tilec.st, new_neighbor_tilec.st, oe_rex_morphFactor);%EOL%#endif%EOL%    }%EOL%    else%EOL%    {%EOL%        oe_rex_morphFactor = 0.0;%EOL%    }%EOL%}%EOL%%EOL%";

    ENGINE_IMAGELAYER = "RexEngine.ImageLayer.glsl";
    _sources[ENGINE_IMAGELAYER] = "#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_name       REX Engine - ImageLayer/VS%EOL%#pragma vp_entryPoint oe_rex_imageLayer_VS%EOL%#pragma vp_location   vertex_view%EOL%#pragma vp_order      0.4%EOL%%EOL%// Stage globals%EOL%vec4 oe_layer_tilec;%EOL%vec2 oe_layer_texc;%EOL%vec2 oe_layer_texcParent;%EOL%%EOL%uniform mat4 oe_layer_texMatrix;%EOL%uniform mat4 oe_layer_texParentMatrix;%EOL%%EOL%void oe_rex_imageLayer_VS(inout vec4 vertexView)%EOL%{%EOL%    // calculate the texture coordinates:%EOL%    oe_layer_texc       = (oe_layer_texMatrix * oe_layer_tilec).st;%EOL%	oe_layer_texcParent = (oe_layer_texParentMatrix * oe_layer_tilec).st;%EOL%}%EOL%%EOL%%EOL%[break]%EOL%%EOL%#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_name       REX Engine - Fragment%EOL%#pragma vp_entryPoint oe_rex_imageLayer_FS%EOL%#pragma vp_location   fragment_coloring%EOL%#pragma vp_order      0.5%EOL%%EOL%#pragma import_defines(OE_TERRAIN_RENDER_IMAGERY)%EOL%#pragma import_defines(OE_TERRAIN_MORPH_IMAGERY)%EOL%#pragma import_defines(OE_TERRAIN_BLEND_IMAGERY)%EOL%#pragma import_defines(OE_TERRAIN_CAST_SHADOWS)%EOL%#pragma import_defines(OE_IS_PICK_CAMERA)%EOL%#pragma import_defines(OE_IS_SHADOW_CAMERA)%EOL%#pragma import_defines(OE_IS_DEPTH_CAMERA)%EOL%%EOL%uniform sampler2D oe_layer_tex;%EOL%uniform int       oe_layer_uid;%EOL%uniform int       oe_layer_order;%EOL%%EOL%#ifdef OE_TERRAIN_MORPH_IMAGERY%EOL%uniform sampler2D oe_layer_texParent;%EOL%uniform float oe_layer_texParentExists;%EOL%in vec2 oe_layer_texcParent;%EOL%in float oe_rex_morphFactor;%EOL%#endif%EOL%%EOL%in vec2 oe_layer_texc;%EOL%in vec4 oe_layer_tilec;%EOL%in float oe_layer_opacity;%EOL%%EOL%//in float oe_layer_rangeOpacity;%EOL%%EOL%// Vertex Markers:%EOL%// Vertex Markers:%EOL%#define VERTEX_VISIBLE  1%EOL%#define VERTEX_BOUNDARY 2%EOL%#define VERTEX_HAS_ELEVATION 4%EOL%#define VERTEX_SKIRT 8%EOL%//#define VERTEX_MARKER_DISCARD  1%EOL%//#define VERTEX_MARKER_GRID     2%EOL%//#define VERTEX_MARKER_PATCH    4%EOL%//#define VERTEX_MARKER_BOUNDARY 8%EOL%//#define VERTEX_MARKER_SKIRT    16%EOL%flat in int oe_terrain_vertexMarker;%EOL%%EOL%void oe_rex_imageLayer_FS(inout vec4 color)%EOL%{%EOL%    // if the provoking vertex is marked for discard, skip it:%EOL%    if ((oe_terrain_vertexMarker & VERTEX_VISIBLE) == 0)%EOL%    {%EOL%        discard;%EOL%        return;%EOL%    }%EOL%%EOL%    // If this is a shadow camera and the terrain doesn't cast shadows, no render:%EOL%#if defined(OE_IS_SHADOW_CAMERA) && !defined(OE_TERRAIN_CAST_SHADOWS)%EOL%    discard;%EOL%    return;%EOL%#endif%EOL%%EOL%    // If this is a depth-only camera, skip terrain skirt geometry:%EOL%#if defined(OE_IS_DEPTH_CAMERA)%EOL%    if ((oe_terrain_vertexMarker & VERTEX_SKIRT) != 0)%EOL%    {%EOL%        discard;%EOL%        return;%EOL%    }%EOL%#endif // OE_IS_DEPTH_CAMERA%EOL%%EOL%    // if this is a picking camera, reset the color to all zeros:%EOL%#ifdef OE_IS_PICK_CAMERA%EOL%    color = vec4(0);%EOL%#else%EOL%%EOL%    // If imagery rendering is disabled, we're done:%EOL%#ifndef OE_TERRAIN_RENDER_IMAGERY%EOL%    return;%EOL%#endif%EOL%%EOL%    // whether this layer contains texel color (UID<0 means no texture)%EOL%    bool isTexelLayer = oe_layer_uid >= 0;%EOL%%EOL%    // whether this is the first layer to render:%EOL%    bool isFirstLayer = oe_layer_order == 0;%EOL%%EOL%    vec4 texel = color;%EOL%%EOL%    if (isTexelLayer)%EOL%    {%EOL%        texel = texture(oe_layer_tex, oe_layer_texc);%EOL%%EOL%#ifdef OE_TERRAIN_MORPH_IMAGERY%EOL%        // sample the main texture:%EOL%%EOL%        // sample the parent texture:%EOL%        vec4 texelParent = texture(oe_layer_texParent, oe_layer_texcParent);%EOL%%EOL%        // if the parent texture does not exist, use the current texture with alpha=0 as the parent%EOL%        // so we can %QUOTE%fade in%QUOTE% an image layer that starts at LOD > 0:%EOL%        texelParent = mix( vec4(texel.rgb, 0.0), texelParent, oe_layer_texParentExists );%EOL%%EOL%        // Resolve the final texel color:%EOL%        texel = mix(texel, texelParent, oe_rex_morphFactor);%EOL%#endif%EOL%%EOL%        // intergrate thelayer opacity:%EOL%        texel.a = texel.a * oe_layer_opacity;%EOL%        color.a = 1.0;%EOL%    }%EOL%%EOL%#ifdef OE_TERRAIN_BLEND_IMAGERY%EOL%    // If this is a first image layer, blend with the incoming terrain color.%EOL%    // Otherwise, apply directly and let GL blending do the rest.%EOL%    if (isTexelLayer && isFirstLayer)%EOL%    {%EOL%        color.rgb = texel.rgb*texel.a + color.rgb*(1.0-texel.a);%EOL%    }%EOL%    else%EOL%    {%EOL%        color = texel;%EOL%    }%EOL%#else%EOL%    // No blending? The output is just the texel value.%EOL%    color = texel;%EOL%#endif // OE_TERRAIN_BLEND_IMAGERY%EOL%%EOL%#endif // OE_IS_PICK_CAMERA%EOL%}%EOL%%EOL%";

    ENGINE_NORMAL_MAP = "RexEngine.NormalMap.glsl";
    _sources[ENGINE_NORMAL_MAP] = "#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_entryPoint oe_rex_normalMapVS%EOL%#pragma vp_location   vertex_view%EOL%#pragma vp_order      0.5%EOL%%EOL%#pragma import_defines(OE_TERRAIN_RENDER_NORMAL_MAP)%EOL%%EOL%uniform mat4 oe_tile_normalTexMatrix;%EOL%uniform vec2 oe_tile_elevTexelCoeff;%EOL%%EOL%uniform mat4 oe_tile_elevationTexMatrix;%EOL%%EOL%// stage globals%EOL%vec4 oe_layer_tilec;%EOL%%EOL%out vec2 oe_normalMapCoords;%EOL%out vec3 oe_normalMapBinormal;%EOL%%EOL%void oe_rex_normalMapVS(inout vec4 unused)%EOL%{%EOL%#ifndef OE_TERRAIN_RENDER_NORMAL_MAP%EOL%    return;%EOL%#endif%EOL%%EOL%    // calculate the sampling coordinates for the normal texture%EOL%    //oe_normalMapCoords = (oe_tile_normalTexMatrix * oe_layer_tilec).st;%EOL%    %EOL%    //oe_normalMapCoords = oe_layer_tilec.st%EOL%    //    * oe_tile_elevTexelCoeff.x * oe_tile_normalTexMatrix[0][0]%EOL%    //    + oe_tile_elevTexelCoeff.x * oe_tile_normalTexMatrix[3].st%EOL%    //    + oe_tile_elevTexelCoeff.y;%EOL%%EOL%    oe_normalMapCoords = oe_layer_tilec.st%EOL%        * oe_tile_elevTexelCoeff.x * oe_tile_elevationTexMatrix[0][0]%EOL%        + oe_tile_elevTexelCoeff.x * oe_tile_elevationTexMatrix[3].st%EOL%        + oe_tile_elevTexelCoeff.y;%EOL%%EOL%    // send the bi-normal to the fragment shader%EOL%    oe_normalMapBinormal = normalize(gl_NormalMatrix * vec3(0,1,0));%EOL%}%EOL%%EOL%%EOL%[break]%EOL%#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_entryPoint oe_rex_normalMapFS%EOL%#pragma vp_location   fragment_coloring%EOL%#pragma vp_order      0.1%EOL%%EOL%#pragma import_defines(OE_TERRAIN_RENDER_NORMAL_MAP)%EOL%#pragma import_defines(OE_DEBUG_NORMALS)%EOL%#pragma import_defines(OE_DEBUG_CURVATURE)%EOL%#pragma import_defines(OE_COMPRESSED_NORMAL_MAP)%EOL%%EOL%// import terrain SDK%EOL%vec4 oe_terrain_getNormalAndCurvature(in vec2);%EOL%%EOL%uniform sampler2D oe_tile_normalTex;%EOL%%EOL%in vec3 vp_Normal;%EOL%in vec3 oe_UpVectorView;%EOL%in vec2 oe_normalMapCoords;%EOL%in vec3 oe_normalMapBinormal;%EOL%%EOL%// global%EOL%mat3 oe_normalMapTBN;%EOL%%EOL%void oe_rex_normalMapFS(inout vec4 color)%EOL%{%EOL%#ifndef OE_TERRAIN_RENDER_NORMAL_MAP%EOL%    return;%EOL%#endif%EOL%%EOL%    vec4 normalAndCurvature = oe_terrain_getNormalAndCurvature(oe_normalMapCoords);%EOL%%EOL%    vec3 tangent = normalize(cross(oe_normalMapBinormal, oe_UpVectorView));%EOL%    oe_normalMapTBN = mat3(tangent, oe_normalMapBinormal, oe_UpVectorView);%EOL%    vp_Normal = normalize( oe_normalMapTBN*normalAndCurvature.xyz );%EOL%%EOL%#ifdef OE_DEBUG_CURVATURE%EOL%    // visualize curvature quantized:%EOL%    color.rgba = vec4(0,0,0,1);%EOL%    float curvature = normalAndCurvature.w;%EOL%    if (curvature > 0.0) color.r = curvature;%EOL%    if (curvature < 0.0) color.g = -curvature;%EOL%#endif%EOL%%EOL%#ifdef OE_DEBUG_NORMALS%EOL%    // visualize normals:%EOL%    color.rgb = (normalAndCurvature.xyz+1.0)*0.5;%EOL%#endif%EOL%}%EOL%%EOL%";

    ENGINE_GEOM = "RexEngine.gs.glsl";
    _sources[ENGINE_GEOM] = "#version 400%EOL%%EOL%#pragma vp_name       REX Engine - GS%EOL%#pragma vp_entryPoint oe_rex_GS%EOL%#pragma vp_location   geometry%EOL%%EOL%layout(triangles)in;%EOL%layout(triangle_strip, max_vertices=3) out;%EOL%%EOL%void VP_LoadVertex(in int);%EOL%void VP_EmitModelVertex();%EOL%%EOL%void oe_rex_GS(void)%EOL%{%EOL%    for(int i=0; i < 3; ++i )%EOL%    {%EOL%        VP_LoadVertex(i);%EOL%        gl_Position = gl_in[i].gl_Position;%EOL%        VP_EmitModelVertex();%EOL%    }%EOL%    EndPrimitive();%EOL%}%EOL%%EOL%";

    ENGINE_TESSELLATION = "RexEngine.Tessellation.glsl";
    _sources[ENGINE_TESSELLATION] = "#version 400%EOL%#pragma vp_name       REX Engine TCS%EOL%#pragma vp_entryPoint oe_rex_TCS%EOL%#pragma vp_location   tess_control%EOL%#pragma vp_order      last%EOL%%EOL%layout(vertices=3) out;%EOL%%EOL%uniform float oe_terrain_tess;%EOL%uniform float oe_terrain_tess_range;%EOL%%EOL%// temporary: use lifemap texture from earth file%EOL%uniform sampler2D LIFEMAP_TEX;%EOL%uniform mat4 LIFEMAP_MAT;%EOL%vec4 oe_layer_tilec;%EOL%vec4 vp_Vertex;%EOL%vec3 vp_Normal;%EOL%void VP_LoadVertex(in int);%EOL%float oe_terrain_getElevation();%EOL%%EOL%float remap_unit(in float value, in float lo, in float hi)%EOL%{%EOL%    return clamp((value - lo) / (hi - lo), 0.0, 1.0);%EOL%}%EOL%%EOL%void oe_rex_TCS()%EOL%{%EOL%    if (gl_InvocationID == 0)%EOL%    {%EOL%        // iterator backward so we end up loading vertex 0%EOL%        float d[3];%EOL%        vec3 v[3];%EOL%        for (int i = 2; i >= 0; --i)%EOL%        {%EOL%            VP_LoadVertex(i);%EOL%            v[i] = (gl_ModelViewMatrix * (vp_Vertex + vec4(vp_Normal * oe_terrain_getElevation(), 0.0))).xyz;%EOL%            d[i] = 1.0 - texture(LIFEMAP_TEX, (LIFEMAP_MAT*oe_layer_tilec).st).g;%EOL%            d[i] = oe_terrain_tess * d[i] * d[i] * d[i];%EOL%        }%EOL%%EOL%        float max_dist = oe_terrain_tess_range;%EOL%        float min_dist = oe_terrain_tess_range / 6.0;%EOL%%EOL%        vec3 m12 = 0.5*(v[1] + v[2]);%EOL%        vec3 m20 = 0.5*(v[2] + v[0]);%EOL%        vec3 m01 = 0.5*(v[0] + v[1]);%EOL%%EOL%        float f12 = remap_unit(-m12.z, max_dist, min_dist);%EOL%        float f20 = remap_unit(-m20.z, max_dist, min_dist);%EOL%        float f01 = remap_unit(-m01.z, max_dist, min_dist);%EOL%%EOL%        float e0 = max(1.0, max(d[1], d[2]) * f12);%EOL%        float e1 = max(1.0, max(d[2], d[0]) * f20);%EOL%        float e2 = max(1.0, max(d[0], d[1]) * f01);%EOL%%EOL%        float e3 = max(e0, max(e1, e2));%EOL%%EOL%        gl_TessLevelOuter[0] = e0;%EOL%        gl_TessLevelOuter[1] = e1;%EOL%        gl_TessLevelOuter[2] = e2;%EOL%        gl_TessLevelInner[0] = e3;%EOL%    }%EOL%}%EOL%%EOL%%EOL%[break]%EOL%#version 400%EOL%%EOL%#pragma vp_name       REX Engine TES%EOL%#pragma vp_entryPoint oe_rex_TES%EOL%#pragma vp_location   tess_eval%EOL%%EOL%// osgEarth terrain is always CCW winding%EOL%layout(triangles, equal_spacing, ccw) in;%EOL%//layout(triangles, fractional_even_spacing, ccw) in;%EOL%%EOL%// Internal helpers:%EOL%void VP_Interpolate3();%EOL%void VP_EmitVertex();%EOL%%EOL%float VP_Interpolate3(float a, float b, float c) %EOL%{%EOL%    return dot(gl_TessCoord.xyz, vec3(a,b,c));%EOL%}%EOL%%EOL%vec2 VP_Interpolate3(vec2 a, vec2 b, vec2 c) %EOL%{%EOL%    return vec2(%EOL%        dot(gl_TessCoord.xyz, vec3(a.x,b.x,c.x)),%EOL%        dot(gl_TessCoord.xyz, vec3(a.y,b.y,c.y)));%EOL%}%EOL%%EOL%vec3 VP_Interpolate3(vec3 a, vec3 b, vec3 c) %EOL%{%EOL%    return vec3(%EOL%        dot(gl_TessCoord.xyz, vec3(a.x,b.x,c.x)),%EOL%        dot(gl_TessCoord.xyz, vec3(a.y,b.y,c.y)),%EOL%        dot(gl_TessCoord.xyz, vec3(a.z,b.z,c.z)));%EOL%}%EOL%%EOL%vec4 VP_Interpolate3(vec4 a, vec4 b, vec4 c) %EOL%{%EOL%    return vec4(%EOL%        dot(gl_TessCoord.xyz, vec3(a.x,b.x,c.x)),%EOL%        dot(gl_TessCoord.xyz, vec3(a.y,b.y,c.y)),%EOL%        dot(gl_TessCoord.xyz, vec3(a.z,b.z,c.z)),%EOL%        dot(gl_TessCoord.xyz, vec3(a.w,b.w,c.w)));%EOL%}%EOL%%EOL%vec3 oe_UpVectorView;%EOL%vec3 vp_Normal;%EOL%%EOL%void oe_rex_TES()%EOL%{%EOL%    VP_Interpolate3();%EOL%    %EOL%    // Must re-normalize the normal vector since interpolation was linear?%EOL%    //vp_Normal = normalize(vp_Normal);%EOL%    //oe_UpVectorView = normalize(oe_UpVectorView);%EOL%%EOL%    VP_EmitVertex();%EOL%}%EOL%%EOL%%EOL%";

    ENGINE_SDK = "RexEngine.SDK.glsl";
    _sources[ENGINE_SDK] = "#version $GLSL_VERSION_STR%EOL%$GLSL_DEFAULT_PRECISION_FLOAT%EOL%%EOL%#pragma vp_name Rex Terrain SDK%EOL%%EOL%/**%EOL% * SDK functions for the Rex engine.%EOL% * Declare and call these from any shader that runs on the terrain.%EOL% */%EOL%%EOL%// uniforms from terrain engine%EOL%uniform sampler2D oe_tile_elevationTex;%EOL%uniform mat4 oe_tile_elevationTexMatrix;%EOL%uniform vec2 oe_tile_elevTexelCoeff;%EOL%%EOL%uniform sampler2D oe_tile_normalTex;%EOL%uniform mat4 oe_tile_normalTexMatrix;%EOL%%EOL%uniform vec4 oe_tile_key;%EOL%%EOL%// Stage global%EOL%vec4 oe_layer_tilec;%EOL%%EOL%%EOL%/**%EOL% * Sample the elevation data at a UV tile coordinate.%EOL% */%EOL%float oe_terrain_getElevationUnscaled(in vec2 uv)%EOL%{%EOL%    // Texel-level scale and bias allow us to sample the elevation texture%EOL%    // on texel center instead of edge.%EOL%    vec2 elevc = uv%EOL%        * oe_tile_elevTexelCoeff.x     // scale%EOL%        + oe_tile_elevTexelCoeff.y;%EOL%%EOL%    return texture(oe_tile_elevationTex, elevc).r;%EOL%}%EOL%%EOL%/**%EOL% * Sample the elevation data at a UV tile coordinate.%EOL% */%EOL%float oe_terrain_getElevation(in vec2 uv)%EOL%{%EOL%    // Texel-level scale and bias allow us to sample the elevation texture%EOL%    // on texel center instead of edge.%EOL%    vec2 elevc = uv%EOL%        * oe_tile_elevTexelCoeff.x * oe_tile_elevationTexMatrix[0][0]     // scale%EOL%        + oe_tile_elevTexelCoeff.x * oe_tile_elevationTexMatrix[3].st     // bias%EOL%        + oe_tile_elevTexelCoeff.y;%EOL%%EOL%    return texture(oe_tile_elevationTex, elevc).r;%EOL%}%EOL%%EOL%/**%EOL% * Read the elevation at the build-in tile coordinates (convenience)%EOL% */%EOL%float oe_terrain_getElevation()%EOL%{%EOL%    return oe_terrain_getElevation(oe_layer_tilec.st);%EOL%}%EOL%%EOL%/**%EOL% * Read the normal vector and curvature at resolved UV tile coordinates.%EOL% */%EOL%vec4 oe_terrain_getNormalAndCurvature(in vec2 uv_scaledBiased)%EOL%{%EOL%    vec4 n = texture(oe_tile_normalTex, uv_scaledBiased);%EOL%    n.xyz = n.xyz*2.0-1.0;%EOL%    float curv = n.z;%EOL%    n.z = 1.0 - abs(n.x) - abs(n.y);%EOL%    // unnecessary since Z is never < 0:%EOL%    //float t = clamp(-n.z, 0, 1);%EOL%    //n.x += (n.x > 0)? -t : t;%EOL%    //n.y += (n.y > 0)? -t : t;%EOL%    return vec4(normalize(n.xyz), curv);%EOL%}%EOL%%EOL%vec4 oe_terrain_getNormalAndCurvature()%EOL%{%EOL%    vec2 uv_scaledBiased = oe_layer_tilec.st%EOL%        * oe_tile_elevTexelCoeff.x * oe_tile_normalTexMatrix[0][0]%EOL%        + oe_tile_elevTexelCoeff.x * oe_tile_normalTexMatrix[3].st%EOL%        + oe_tile_elevTexelCoeff.y;%EOL%%EOL%    return oe_terrain_getNormalAndCurvature(uv_scaledBiased);%EOL%}%EOL%%EOL%/**%EOL% * Scales repeating texture coordinate such that they are [0..1]%EOL% * at a specific reference tile LOD. %EOL% */%EOL%vec2 oe_terrain_scaleCoordsToRefLOD(in vec2 tc, in float refLOD)%EOL%{%EOL%    float dL = oe_tile_key.z - refLOD;%EOL%    float factor = exp2(dL);%EOL%    float invFactor = 1.0/factor;%EOL%    vec2 result = tc * vec2(invFactor);%EOL%%EOL%    vec2 a = floor(oe_tile_key.xy * invFactor);%EOL%    vec2 b = a * factor;%EOL%    vec2 c = b + factor;%EOL%%EOL%    float m = floor(clamp(factor,0.0,1.0)); // if factor>=1.0%EOL%    result += m*(oe_tile_key.xy-b)/(c-b);%EOL%%EOL%    return result;%EOL%}%EOL%%EOL%";
}
